<?php
class HeadwayFacebookBlockOptions extends HeadwayBlockOptionsAPI {
	public $tabs = array(
		'settings' => 'Settings',
		'comments' => 'Comments',
		'like-box' => 'Like Box',
		'like' => 'Like Button',
		'subscribe-box' => 'Subscribe Box'
	);

	public $inputs = array(
		'settings' => array(
			'mode' => array(
				'type' => 'select',
				'name' => 'mode',
				'label' => 'Mode',
				'options' => array(
					'comments' => 'Facebook Comments',
					'like-button' => 'Like Button',
					'like-box' => 'Like Box',
					'subscribe-box' => 'Subscribe Box'
				),
				'default' => 'comments',
				'tooltip' => 'Choose what function to use.'
			)
		),
		'comments' => array(
			'number' => array(
				'type' => 'slider',
				'name' => 'number', 
				'label' => 'Number of Full Comments to Display',
				'slider-min' => 1,
				'slider-max' => 50,
				'slider-interval' => 1,
				'default' => 5,
				'tooltip' => 'Set how many full comments to display before the "read more" button appears'
			)
		),
		'like-box' => array(
			'page-url' => array(
				'type' => 'text',
				'name' => 'page-url',
				'label' => 'Facebook Page URL',
				'default', 'http://facebook.com/headwaythemes/',
				'tooltip' => 'Paste your full facebook page URL here'
			),
			'box-show-faces' => array(
				'type' => 'checkbox',
				'name' => 'box-show-faces',
				'label' => 'Show Faces',
				'default' => true,
				'tooltip' => 'Show facebook profile pictures for likes'
			),
			'box-show-stream' => array(
				'type' => 'checkbox',
				'name' => 'box-show-stream',
				'label' => 'Show Stream',
				'default' => true,
				'tooltip' => 'Show latest facebook page activity'
			),
			'box-header' => array(
				'type' => 'checkbox',
				'name' => 'box-header',
				'label' => 'Show Header',
				'default' => true,
				'tooltip' => 'Show or hide the facebook box header'
			)
		),
		'like' => array(
			'layout' => array(
				'type' => 'select',
				'name' => 'layout',
				'label' => 'Button Layout',
				'options' => array(
					'standard' => 'Standard',
					'box_count' => 'Box Count',
					'button_count' => 'Button Count'
				),
				'default' => 'standard',
				'tooltip' => 'Choose a button layout.'
			),
			'send' => array(
				'type' => 'checkbox',
				'name' => 'send',
				'label' => 'Send Button',
				'default' => true,
				'tooltip' => 'Show or hide the Facebook send button.'
			),
			'show-button-faces' => array(
				'type' => 'checkbox',
				'name' => 'show-button-faces',
				'label' => 'Show Faces',
				'default' => true,
				'tooltip' => 'Show or hide facebook profile pictures for likes.'
			)
		),
		'subscribe-box' => array(
			'profile-url' => array(
				'type' => 'text',
				'name' => 'profile-url',
				'label' => 'Profile URL',
				'default' => 'https://www.facebook.com/zuck',
				'tooltip' => 'Your facebook profile URL. You must have subscriptions enabled in the facebook privacy settings.'
			),
			'profile-layout' => array(
				'type' => 'select',
				'name' => 'profile-layout',
				'label' => 'Button Layout',
				'options' => array(
					'standard' => 'Standard',
					'box_count' => 'Box Count',
					'button_count' => 'Button Count'
				),
				'tooltip' => 'Choose a button layout.'
			),
			'show-profile-faces' => array(
				'type' => 'checkbox',
				'name' => 'show-profile-faces',
				'label' => 'Show Faces',
				'default' => true,
				'tooltip' => 'Show or hide facebook profile pictures for likes.'
			)
		)
	);

}